aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.ci/common/build.sh3
-rw-r--r--.ci/common/test.sh2
-rw-r--r--.travis.yml5
3 files changed, 9 insertions, 1 deletions
diff --git a/.ci/common/build.sh b/.ci/common/build.sh
index f635ee4960..06bdab707f 100644
--- a/.ci/common/build.sh
+++ b/.ci/common/build.sh
@@ -5,6 +5,9 @@ build_deps() {
if [[ "${BUILD_MINGW}" == ON ]]; then
DEPS_CMAKE_FLAGS="${DEPS_CMAKE_FLAGS} ${CMAKE_FLAGS_MINGW}"
fi
+ if [[ "${FUNCTIONALTEST}" == "functionaltest-lua" ]]; then
+ DEPS_CMAKE_FLAGS="${DEPS_CMAKE_FLAGS} -DUSE_BUNDLED_LUA=ON"
+ fi
rm -rf "${DEPS_BUILD_DIR}"
diff --git a/.ci/common/test.sh b/.ci/common/test.sh
index c1bbd8dc9a..8c32b63ab2 100644
--- a/.ci/common/test.sh
+++ b/.ci/common/test.sh
@@ -53,7 +53,7 @@ run_unittests() {
}
run_functionaltests() {
- if ! ${MAKE_CMD} -C "${BUILD_DIR}" functionaltest; then
+ if ! ${MAKE_CMD} -C "${BUILD_DIR}" ${FUNCTIONALTEST}; then
asan_check "${LOG_DIR}"
valgrind_check "${LOG_DIR}"
exit 1
diff --git a/.travis.yml b/.travis.yml
index 10219690b3..985a5c5381 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -53,6 +53,8 @@ env:
# if the tests were successful, but don't have this information
# available in before_cache (which is run before after_success).
- SUCCESS_MARKER="$BUILD_DIR/.tests_successful"
+ # default target name for functional tests
+ - FUNCTIONALTEST=functionaltest
matrix:
include:
@@ -61,6 +63,9 @@ matrix:
- os: linux
compiler: gcc-5
- os: linux
+ compiler: gcc-5
+ env: FUNCTIONALTEST=functionaltest-lua
+ - os: linux
# Travis creates a cache per compiler.
# Set a different value here to store 32-bit
# dependencies in a separate cache.